apiVersion: apps/v1
kind: Deployment
metadata:
  name: webeos-operator
spec:
  replicas: 1
  selector:
    matchLabels:
      name: webeos-operator
  template:
    metadata:
      labels:
        name: webeos-operator
    spec:
      serviceAccountName: webeos-operator
      containers:
        - name: webeos-operator
          # Replace this with the built image name
          image: REPLACE_IMAGE
          command:
          - webeos-operator
          imagePullPolicy: Always
          env:
            - name: WATCH_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
            - name: POD_NAME
              valueFrom:
                fieldRef:
                  fieldPath: metadata.name
            - name: OPERATOR_NAME
              value: "webeos-operator"
